package cn.iocoder.yudao.module.mes.dal.mysql.energyrecord;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.energyrecord.EnergyRecordDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.mes.controller.admin.energyrecord.vo.*;

/**
 * 能源设备历史记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface EnergyRecordMapper extends BaseMapperX<EnergyRecordDO> {

    default PageResult<EnergyRecordDO> selectPage(EnergyRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<EnergyRecordDO>()
                .eqIfPresent(EnergyRecordDO::getEnergyDeviceId, reqVO.getEnergyDeviceId())
                .eqIfPresent(EnergyRecordDO::getRecordData, reqVO.getRecordData())
                .eqIfPresent(EnergyRecordDO::getIsEnable, reqVO.getIsEnable())
                .betweenIfPresent(EnergyRecordDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(EnergyRecordDO::getId));
    }

}